*** a/src/backend/commands/tablespace.c
--- b/src/backend/commands/tablespace.c
***************
*** 552,559 **** create_tablespace_directories(const char *location, const Oid tablespaceoid)
  		if (errno == ENOENT)
  			ereport(ERROR,
  					(errcode(ERRCODE_UNDEFINED_FILE),
! 					 errmsg("directory \"%s\" does not exist",
! 							location)));
  		else
  			ereport(ERROR,
  					(errcode_for_file_access(),
--- 552,560 ----
  		if (errno == ENOENT)
  			ereport(ERROR,
  					(errcode(ERRCODE_UNDEFINED_FILE),
! 					 errmsg("directory \"%s\" does not exist", location),
! 					 errhint("create \"%s\" directory for tablespace before "
! 							 "restarting the server", location)));
  		else
  			ereport(ERROR,
  					(errcode_for_file_access(),